icon-cookie
The website uses cookies to optimize your user experience. Using this website grants us the permission to collect certain information essential to the provision of our services to you, but you may change the cookie settings within your browser any time you wish. Learn more
I agree
blank_error__heading
blank_error__body
Text direction?

Installation

Gerasimos (Makis) Maropoulos edited this page 11 days ago · 28 revisions

Iris is a cross-platform software.

The only requirement is the Go Programming Language, version 1.14 and above.

$ go env -w GO111MODULE=on

Install

$ go get github.com/kataras/iris/v12@v12.1.8

Or edit your project's go.mod file.

module your_project_name

go 1.14

require (
    github.com/kataras/iris/v12 v12.1.8
)

$ go build

Troubleshooting

If you get a network error during installation please make sure you set a valid GOPROXY environment variable.

go env -w GOPROXY=https://goproxy.cn,https://gocenter.io,https://goproxy.io,direct
Measure
Measure
Related Notes
Get a free MyMarkup account to save this article and view it later on any device.
Create account

End User License Agreement

Summary | 0 Annotation